de.vc.jfo.flow

## Class Wrapper

- java.lang.Object
- - de.vc.xml.AbstractNode
  - - de.vc.xml.AbstractNodeWithAttributes
    - - de.vc.jfo.FormattingObject
      - - de.vc.jfo.flow.FlowObject
        - - de.vc.jfo.flow.FlowObjectWithElements
          - - de.vc.jfo.flow.Wrapper

- All Implemented Interfaces:
    Node, NodeElement, java.io.Serializable, java.lang.Cloneable

      public class Wrapper
      extends FlowObjectWithElements

  The fo:wrapper formatting object is used to specify inherited properties for a group of formatting objects.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.vc.jfo.FormattingObject

      `EMPTY_ARRAY`

    - ### Fields inherited from class de.vc.xml.AbstractNodeWithAttributes

      `MAP_TYPE_FLYWEIGHT, MAP_TYPE_HASH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Wrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Wrapper` | `add(BlockElement element)` Adds a block-group-member to this wrapper.
    `Wrapper` | `add(InlineElement element)` Adds a inline-group-member to this wrapper.
    `Wrapper` | `add(int idx, BlockElement element)` Adds a block-group-member to this wrapper at the given index.
    `Wrapper` | `add(int idx, InlineElement element)` Adds a inline-group-member to this wrapper at the given index.
    `Wrapper` | `add(int idx, java.lang.String pcdata)` Adds PCdata (Text) to this wrapper at the given index.
    `Wrapper` | `add(java.lang.String pcdata)` Adds PCdata (Text) to this wrapper.

    - ### Methods inherited from class de.vc.jfo.flow.FlowObjectWithElements

      `add, add, add, add, addAllImpl, addAllUnsafe, addAllUnsafe, addElement, addElement, addElements, addElements, addUnsafe, addUnsafe, clone, firstElement, getElements, isEmpty, lastElement, remove, remove, removeAll, removeElement, removeElement, removeLast, replaceElement, setElement`

    - ### Methods inherited from class de.vc.jfo.FormattingObject

      `cloned, clonedList, createUniqueID, doGetAttribute, doSetAttribute, elementCount, get, getAbsolutePosition, getAccessibility, getAttributeMap, getBackground, getBorder, getDefinedAttributes, getDocument, getFont, getID, getLanguage, getLogger, getMargin, getMeasureValue, getObjectValue, getObjectValue, getObjectValue, getObjectValue, getOrphans, getPadding, getParentFO, getRelativePosition, getWidows, hasBorder, hasID, hasPadding, isHyphenation, setAbsolutePosition, setAccessibility, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setBackground, setBorder, setFont, setHyphenation, setID, setLanguage, setLanguage, setMargin, setOrphans, setPadding, setRelativePosition, setWidows`

    - ### Methods inherited from class de.vc.xml.AbstractNodeWithAttributes

      `getDefaultMapType, setDefaultMapType`

    - ### Methods inherited from class de.vc.xml.AbstractNode

      `addAttributeChangeListener, clearEqualAttributes, clearInheratedAttribute, clearInheratedAttributes, clearValue, contains, contains, copyAttributes, createID, findFirstNodeWithText, findNode, findNodesWithText, fire, fireSaxEvents, getAttrAsBoolean, getAttrAsInteger, getAttrAsString, getAttrAsString, getAttribute, getAttribute, getAttributeMap, getContentText, getContentText, getDefinedAttributes, getElements, getElements, getElements, getFirstElement, getIndex, getLocalName, getNamespacePrefix, getNamespacePrefixes, getNamespaceURI, getParent, getParent, getParent, getParentOrThis, getQName, getRoot, hasEqualAttrs, indexOf, liftInheritedAttribute, removeAttributeChangeListener, setAttribute, setAttributes, setAttrIfNotNull, setEnableAttributeChangeEvent, setNamespace, setParent, setQName, setUndefinedAttributes, writeTo, writeTo, writeTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Wrapper

          public Wrapper()

  - ### Method Detail

    - #### add

          public Wrapper add(InlineElement element)

      Adds a inline-group-member to this wrapper.
      Parameters:
        `element` - FormattingObject.
      Returns:
        This object for chained calls.

    - #### add

          public Wrapper add(BlockElement element)

      Adds a block-group-member to this wrapper.
      Parameters:
        `element` - FormattingObject.
      Returns:
        This object for chained calls.

    - #### add

          public Wrapper add(java.lang.String pcdata)

      Adds PCdata (Text) to this wrapper.
      Parameters:
        `pcdata` - Text/PCdata.
      Returns:
        This object for chained calls.

    - #### add

          public Wrapper add(int idx,
                    InlineElement element)

      Adds a inline-group-member to this wrapper at the given index.
      Parameters:
        `idx` - Index.
        `element` - FormattingObject.
      Returns:
        This object for chained calls.

    - #### add

          public Wrapper add(int idx,
                    BlockElement element)

      Adds a block-group-member to this wrapper at the given index.
      Parameters:
        `idx` - Index.
        `element` - FormattingObject.
      Returns:
        This object for chained calls.

    - #### add

          public Wrapper add(int idx,
                    java.lang.String pcdata)

      Adds PCdata (Text) to this wrapper at the given index.
      Parameters:
        `idx` - Index.
        `pcdata` - Text/PCdata.
      Returns:
        This object for chained calls.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.